#
# Cookbook Name:: pam
# Recipe:: default
#
# Copyright (C) 2014 EverTrue, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

Chef::Log.info "Services: #{node['pam_d'].inspect}"

node['pam_d']['services'].each do |service, conf|
  template "/etc/pam.d/#{service}" do
    source 'service.erb'
    owner  'root'
    group  'root'
    mode   0644
    variables(
      conf_lines: conf['main'],
      includes: conf['includes']
    )
  end
end
